=== modified file 'citrain'
--- citrain	2014-09-25 16:10:08 +0000
+++ citrain	2014-10-10 10:14:05 +0000
@@ -16,7 +16,7 @@
 
 usage () {
 cat <<EOF
-usage: $0 COMMAND SILO-NUMBER [DEVICE-PASSWORD]
+usage: $0 COMMAND SILO-NUMBER [DEVICE-PASSWORD] [DISTRIBUTION]
 
 COMMANDS:
     host-install        Deprecated. Please use host-upgrade instead.
@@ -28,6 +28,10 @@
 
 SILO-NUMBER:
     1..20
+
+DISTRIBUTION: (optional)
+    ubuntu
+    ubuntu-rtm
 EOF
 exit 1
 }
@@ -79,10 +83,14 @@
 
         set -x
         adb shell egrep ^deb /etc/apt/sources.list.d/\*.list
-        if adb shell system-image-cli -i | grep -q ubuntu-rtm; then
-            DISTRO="ubuntu-rtm"
-        else
-            DISTRO="ubuntu"
+        DISTRO="$1"
+        if [ -z $DISTRO ]; then
+            # In case no distro specified, guess
+            if adb shell system-image-cli -i | grep -q ubuntu-rtm; then
+                DISTRO="ubuntu-rtm"
+            else
+                DISTRO="ubuntu"
+            fi
         fi
         phablet-config writable-image -r $PASSWORD --ppa $PPA/$DISTRO/$SILO
         adb shell "echo -e '#\x21/bin/sh\necho $PASSWORD' >/tmp/askpass.sh"

